Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.epochx.representation.dbl
Class TangentFunction

    java.lang.Object
      com.epochx.representation.Node<TYPE>
          com.epochx.representation.FunctionNode<java.lang.Double>
              com.epochx.representation.dbl.TangentFunction

All Implemented Interfaces:
  java.lang.Cloneable

    public class TangentFunction

extends FunctionNode<java.lang.Double>

A `FunctionNode` which performs the trigonometric function of tangent.

Constructor Summary
`TangentFunction()` Construct a TangentFunction with no children.
`TangentFunction(Node<java.lang.Double> child)` Construct a TangentFunction with one child.

Method Summary
`java.lang.Double` | `evaluate()` Evaluating a `TangentFunction` involves evaluating the child then calculating the tangent of the result.
`java.lang.String` | `getFunctionName()` Get the unique name that identifies this function.

Methods inherited from class com.epochx.representation.FunctionNode
`equals, toString`

Methods inherited from class com.epochx.representation.Node
`clone, getArity, getChild, getChildren, getDepth, getFunctionNodes, getLength, getNodesAtDepth, getNoDistinctFunctions, getNoDistinctTerminals, getNoFunctions, getNoTerminals, getNthNode, getTerminalNodes, hashCode, setChild, setChildren, setNthNode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TangentFunction

    public TangentFunction()

  Construct a TangentFunction with no children.

### TangentFunction

    public TangentFunction(Node<java.lang.Double> child)

  Construct a TangentFunction with one child. When evaluated, the child will be evaluated with tangent performed on the result.

  Parameters:
    `child` - The child which tangent will be performed on.

Method Detail

### evaluate

    public java.lang.Double evaluate()

  Evaluating a `TangentFunction` involves evaluating the child then calculating the tangent of the result.

  Specified by:
    `evaluate` in class `Node<java.lang.Double>`
  Returns:
    The result of evaluating the candidate program.

### getFunctionName

    public java.lang.String getFunctionName()

  Get the unique name that identifies this function.

  Specified by:
    `getFunctionName` in class `FunctionNode<java.lang.Double>`
  Returns:
    the unique name for the TangentFunction which is TAN.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD